# Namespace webdriver.testing

code »

## Classes

webdriver.testing.Assertion
  Utility for performing assertions against a given `value`.
webdriver.testing.ContainsMatcher
  Accepts strins or array-like structures that contain `value`.
webdriver.testing.NegatedAssertion
  An assertion that negates any applied matchers.
webdriver.testing.TestCase
  Constructs a test case that synchronizes each test case with the singleton `webdriver.promise.ControlFlow`.

Show:Public Protected Private

## Global Functions

code »webdriver.testing.assert ( value ) ⇒ `!webdriver.testing.Assertion`

Creates a new assertion.

Parameters

value: `*`
  The value to perform an assertion on.

Returns

The new assertion.